data:extend({
  {
    type = "assembling-machine",
    name = "hatchery",
    icon = "__hatchery__/graphics/icons/hatchery.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "hatchery"},
    max_health = 250,
    corpse = "medium-remnants",
    dying_explosion = "medium-explosion",
    resistances = {{type = "fire", percent = 80}},
    fluid_boxes =
    {
      {
        production_type = "input",
        pipe_picture = assembler2pipepictures(),
        pipe_covers = pipecoverspictures(),
        base_area = 10,
        base_level = -1,
        pipe_connections = {{ type="input", position = {0, -2} }}
      },
      {
        production_type = "output",
        pipe_picture = assembler2pipepictures(),
        pipe_covers = pipecoverspictures(),
        base_area = 10,
        base_level = 1,
        pipe_connections = {{ type="output", position = {0, 2} }}
      },
      off_when_no_fluid_recipe = true

    },

    collision_box = {{-1.2, -1.2}, {1.2, 1.2}},
    selection_box = {{-1.5, -1.5}, {1.5, 1.5}},

	animation =
	{
		filename = "__hatchery__/graphics/Bio_Farm_Idle.png",
		priority = "high",
		width = 160,
		height = 160,
		frame_count = 1,
		shift = {0.2, 0.08},
	},

	working_visualisations =
	{

		animation =
		{
			filename = "__hatchery__/graphics/Bio_Farm_Working.png",
      priority = "high",
  		width = 160,
  		height = 160,
  		frame_count = 1,
  		shift = {0.2, 0.08},
		},
	},

  crafting_categories = {"xyz"},
  crafting_speed = 0.5,
  energy_source =

	{
      type = "electric",
      usage_priority = "primary-input",
	  drain = "30kW",
	  emissions = 0.02,
    },

    energy_usage = "75kW",
    ingredient_count = 3,
    open_sound = { filename = "__base__/sound/machine-open.ogg", volume = 0.85 },
    close_sound = { filename = "__base__/sound/machine-close.ogg", volume = 0.75 },
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
  }
})
